wxWidgets: wxPrintDialog Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxPrintDialog Class Reference
Class List by Category » Printing Framework

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/printdlg.h>`

Inheritance diagram for wxPrintDialog:
[legend]

## Detailed Description

This class represents the print and print setup common dialogs.

You may obtain a wxPrinterDC device context from a successfully dismissed print dialog.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  Printing Framework Overview, wxPrintDialog Overview

## Public Member Functions
| wxPrintDialog (wxWindow *parent, wxPrintDialogData *data=NULL)
| Constructor. More...
| wxPrintDialog (wxWindow *parent, wxPrintData *data)
virtual | ~wxPrintDialog ()
| Destructor. More...
virtual wxDC * | GetPrintDC ()
| Returns the device context created by the print dialog, if any. More...
virtual wxPrintDialogData & | GetPrintDialogData ()
| Returns the print dialog data associated with the print dialog. More...
virtual wxPrintData & | GetPrintData ()
| Returns the print data associated with the print dialog. More...
virtual int | ShowModal ()
| Shows the dialog, returning `wxID_OK` if the user pressed OK, and `wxID_CANCEL` otherwise. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxPrintDialog() [1/2]

wxPrintDialog::wxPrintDialog | ( | wxWindow * | parent,
|  | wxPrintDialogData * | data = `NULL`
| ) |  |

Constructor.

Pass a parent window, and optionally a pointer to a block of print data, which will be copied to the print dialog's print data.

See also
  wxPrintDialogData

## ◆ wxPrintDialog() [2/2]

wxPrintDialog::wxPrintDialog | ( | wxWindow * | parent,
|  | wxPrintData * | data
| ) |  |

## ◆ ~wxPrintDialog()

virtual wxPrintDialog::~wxPrintDialog | ( |  | ) |
| virtual

Destructor.

If GetPrintDC() has not been called, the device context obtained by the dialog (if any) will be deleted.

## Member Function Documentation

## ◆ GetPrintData()

virtual wxPrintData& wxPrintDialog::GetPrintData | ( |  | ) |
| virtual

Returns the print data associated with the print dialog.

## ◆ GetPrintDC()

virtual wxDC* wxPrintDialog::GetPrintDC | ( |  | ) |
| virtual

Returns the device context created by the print dialog, if any.

When this function has been called, the ownership of the device context is transferred to the application, so it must then be deleted explicitly.

## ◆ GetPrintDialogData()

virtual wxPrintDialogData& wxPrintDialog::GetPrintDialogData | ( |  | ) |
| virtual

Returns the print dialog data associated with the print dialog.

## ◆ ShowModal()

virtual int wxPrintDialog::ShowModal | ( |  | ) |
| virtual

Shows the dialog, returning `wxID_OK` if the user pressed OK, and `wxID_CANCEL` otherwise.

After this function is called, a device context may be retrievable using GetPrintDC().